/*
 * This file is part of peekabot.
 *
 * peekabot is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * peekabot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "PointSetObject.hh"
#include "ObjectVisitor.hh"
//#include "renderer/Renderer.hh"

using namespace peekabot;
//using renderer::TheRenderer;




PointSetObject::PointSetObject() throw()
    : SceneObject("point_set")
{
}


PointSetObject::~PointSetObject() throw()
{
}


void PointSetObject::accept(ObjectVisitor* visitor) throw()
{
    visitor->visit(this);
}


void PointSetObject::add_point(
    const Vector3ru &p, const RGBColor &color) throw()
{
    //    trigger(ON_ADDING_POINT_SET_POINT);
    m_new_points.push(std::make_pair(p, color));
    //trigger(ON_POINT_SET_POINT_ADDED);
}

