/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ADD_CAMERA_HH
#define __PEEKABOT_ADD_CAMERA_HH


#include "AddGeneric.hh"

#ifdef __PEEKABOT_SERVER
#  include "../CameraObject.hh"
#else
namespace peekabot { class CameraObject; }
#endif


namespace peekabot
{
    typedef AddGeneric<CameraObject> AddCamera;
}


// PEEKABOT_REGISTER_SERIALIZABLE 42


#endif // __PEEKABOT_ADD_CAMERA_HH
