/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ADD_GROUP_HH
#define __PEEKABOT_ADD_GROUP_HH


#include "AddGeneric.hh"

#ifdef __PEEKABOT_SERVER
#  include "../GroupObject.hh"
#else
namespace peekabot { class GroupObject; }
#endif


namespace peekabot
{
    typedef AddGeneric<GroupObject> AddGroup;
}


// PEEKABOT_REGISTER_SERIALIZABLE 43


#endif // __PEEKABOT_ADD_GROUP_HH
