/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ADD_LINE_CLOUD_HH
#define __PEEKABOT_ADD_LINE_CLOUD_HH


#include "AddGeneric.hh"

#ifdef __PEEKABOT_SERVER
#  include "../LineCloud.hh"
#else
namespace peekabot { class LineCloud; }
#endif


namespace peekabot
{
    typedef AddGeneric<LineCloud> AddLineCloud;
}


// PEEKABOT_REGISTER_SERIALIZABLE 55


#endif // __PEEKABOT_ADD_LINE_CLOUD_HH
