/*
 * Copyright Staffan Gimåker 2008-2009.
 *
 * ---
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef PEEKABOT_ADD_POLYGON_HH_INCLUDED
#define PEEKABOT_ADD_POLYGON_HH_INCLUDED


#include "AddGeneric.hh"

#ifdef __PEEKABOT_SERVER
#  include "../GeometricPrimitives.hh"
#else
namespace peekabot { class PolygonObject; }
#endif


namespace peekabot
{
    typedef AddGeneric<PolygonObject> AddPolygon;
}


// PEEKABOT_REGISTER_SERIALIZABLE 48


#endif // PEEKABOT_ADD_POLYGON_HH_INCLUDED
