/*
 * Copyright Staffan Gimåker 2008-2009.
 *
 * ---
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef PEEKABOT_ASSIGN_JOINT_HH_INCLUDED
#define PEEKABOT_ASSIGN_JOINT_HH_INCLUDED


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../Joint.hh"
#else
namespace peekabot { class Joint; }
#endif


namespace peekabot
{
    typedef Assign<Joint> AssignJoint;
}

// PEEKABOT_REGISTER_SERIALIZABLE 72


#endif // PEEKABOT_ASSIGN_JOINT_HH_INCLUDED
