/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ASSIGN_OCCUPANCY_GRID_2D_HH
#define __PEEKABOT_ASSIGN_OCCUPANCY_GRID_2D_HH


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../OccupancyGrid2D.hh"
#else
namespace peekabot { class OccupancyGrid2D; }
#endif


namespace peekabot
{
    typedef Assign<OccupancyGrid2D> AssignOccupancyGrid2D;
}

// PEEKABOT_REGISTER_SERIALIZABLE 77


#endif // __PEEKABOT_ASSIGN_OCCUPANCY_GRID_2D_HH
