/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ASSIGN_SENSOR_HH
#define __PEEKABOT_ASSIGN_SENSOR_HH


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../SensorObject.hh"
#else
namespace peekabot { class SensorObject; }
#endif


namespace peekabot
{
    typedef Assign<SensorObject> AssignSensor;
}

// PEEKABOT_REGISTER_SERIALIZABLE 71


#endif // __PEEKABOT_ASSIGN_SENSOR_HH
