/*
 * Copyright Staffan Gimåker 2009.
 *
 * ---
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef PEEKABOT_ASSIGN_SLIDER_HH_INCLUDED
#define PEEKABOT_ASSIGN_SLIDER_HH_INCLUDED


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../Slider.hh"
#else
namespace peekabot { class Slider; }
#endif


namespace peekabot
{
    typedef Assign<Slider> AssignSlider;
}

// PEEKABOT_REGISTER_SERIALIZABLE 93


#endif // PEEKABOT_ASSIGN_SLIDER_HH_INCLUDED
