/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ASSIGN_VERTEX_BASED_HH
#define __PEEKABOT_ASSIGN_VERTEX_BASED_HH


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../VertexObject.hh"
#else
namespace peekabot { class VertexObject; }
#endif


namespace peekabot
{
    typedef Assign<VertexObject> AssignVertexBased;
}

// PEEKABOT_REGISTER_SERIALIZABLE 75


#endif // __PEEKABOT_ASSIGN_VERTEX_BASED_HH
