/*
 * Copyright Staffan Gimåker 2009.
 *
 * ---
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef PEEKABOT_SERIALIZATION_BUFFER_HH_INCLUDED
#define PEEKABOT_SERIALIZATION_BUFFER_HH_INCLUDED


#include <cstddef>


namespace peekabot
{
    class SerializationBuffer
    {
    public:
        virtual ~SerializationBuffer() {}

        virtual void write(const void *, std::size_t) = 0;
    };
}


#endif // PEEKABOT_SERIALIZATION_BUFFER_HH_INCLUDED
