/*
 * Copyright Staffan Gimåker 2007-2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ACTION_RESULT_HH
#define __PEEKABOT_ACTION_RESULT_HH


#include <stdexcept>
#include <boost/any.hpp>

#include "Types.hh"
#include "Singleton.hh"
#include "Factory.hh"
#include "serialization/Serializable.hh"


namespace peekabot
{


    class ActionResult : public Serializable
    {
    public:
        typedef uint16_t ResultTypeID;


        virtual ~ActionResult() {}

        virtual boost::any get_result() throw() = 0;

        /*virtual ResultTypeID get_result_type() const throw() = 0;

        virtual void serialize_state(
            SerializationBuffer &buf) const throw() = 0;
        
        virtual void deserialize_state(
        DeserializationBuffer &buf) throw(std::exception) = 0;*/
    };



    /*    typedef Singleton<Factory<ActionResult, ActionResult::ResultTypeID> > 
        TheActionResultFactory;*/

}

#endif // __PEEKABOT_ACTION_RESULT_HH
