/*
 * This file is part of peekabot.
 *
 * peekabot is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * peekabot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#define BOOST_TEST_MAIN
#define BOOST_TEST_DYN_LINK

#include <iostream>
#include <fstream>
#include <boost/test/auto_unit_test.hpp>

#include "Init.hh"


namespace
{
    //
    // Perform required setup, e.g. register serizalizables 
    //
    struct Startup
    {
        Startup()
        {
            peekabot::init();
        }

        /*std::streambuf *orig;
          std::ofstream out;

          AutoOutputRedirector()
          : out("bitten/test_results.xml")
          {
          if( !out.is_open() )
          {
          // oops, couldn't open file. maybe the bitten dir doesn't exists?
          // let's try to open test_results.xml and hope for the best!
          out.open("test_results.xml");
          }

          orig = std::cerr.rdbuf(out.rdbuf());
          }

          ~AutoOutputRedirector()
          {
          std::cerr.rdbuf(orig);
          }*/      
    };

    Startup _startup;
}
