/*
 * Copyright Staffan Gimåker 2009.
 *
 * ---
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef PEEKABOT_ADD_SLIDER_HH_INCLUDED
#define PEEKABOT_ADD_SLIDER_HH_INCLUDED


#include "AddGeneric.hh"

#ifdef __PEEKABOT_SERVER
#  include "../Slider.hh"
#else
namespace peekabot { class Slider; }
#endif


namespace peekabot
{
    typedef AddGeneric<Slider> AddSlider;
}


// PEEKABOT_REGISTER_SERIALIZABLE 92


#endif // PEEKABOT_ADD_SLIDER_HH_INCLUDED
