/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ADD_SPHERE_HH
#define __PEEKABOT_ADD_SPHERE_HH


#include "AddGeneric.hh"

#ifdef __PEEKABOT_SERVER
#  include "../GeometricPrimitives.hh"
#else
namespace peekabot { class SphereObject; }
#endif


namespace peekabot
{
    typedef AddGeneric<SphereObject> AddSphere;
}


// PEEKABOT_REGISTER_SERIALIZABLE 44


#endif // __PEEKABOT_ADD_SPHERE_HH
