/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ASSIGN_LINE_BASED_HH
#define __PEEKABOT_ASSIGN_LINE_BASED_HH


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../LineBased.hh"
#else
namespace peekabot { class LineBased; }
#endif


namespace peekabot
{
    typedef Assign<LineBased> AssignLineBased;
}

// PEEKABOT_REGISTER_SERIALIZABLE 51


#endif // __PEEKABOT_ASSIGN_LINE_BASED_HH
