/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ASSIGN_MODEL_HH
#define __PEEKABOT_ASSIGN_MODEL_HH


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../ModelObject.hh"
#else
namespace peekabot { class ModelObject; }
#endif


namespace peekabot
{
    typedef Assign<ModelObject> AssignModel;
}

// PEEKABOT_REGISTER_SERIALIZABLE 66


#endif // __PEEKABOT_ASSIGN_MODEL_HH
