/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ASSIGN_POINT_CLOUD_HH
#define __PEEKABOT_ASSIGN_POINT_CLOUD_HH


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../PointCloud.hh"
#else
namespace peekabot { class PointCloud; }
#endif


namespace peekabot
{
    typedef Assign<PointCloud> AssignPointCloud;
}

// PEEKABOT_REGISTER_SERIALIZABLE 68


#endif // __PEEKABOT_ASSIGN_POINT_CLOUD_HH
