/*
 * Copyright Staffan Gimåker 2008.
 *
 * Distributed under the Boost Software License, Version 1.0.
 * (See accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef __PEEKABOT_ASSIGN_SCALABLE_HH
#define __PEEKABOT_ASSIGN_SCALABLE_HH


#include "Assign.hh"

#ifdef __PEEKABOT_SERVER
#  include "../ScalableObject.hh"
#else
namespace peekabot { class ScalableObject; }
#endif


namespace peekabot
{
    typedef Assign<ScalableObject> AssignScalable;
}

// PEEKABOT_REGISTER_SERIALIZABLE 73


#endif // __PEEKABOT_ASSIGN_SCALABLE_HH
